#! /usr/bin/env casarun

#  Special followup version of a past admit1.py run where only
#  LineID needs to be run.
#  All files and BDP's prior to the AT's the LineID uses can
#  be bogus links, if you want to save disk space.
#
#
# =================================================================================================================
# python system modules
import sys, os, math
# admit modules
import admit.Admit as admit
import admit.util.PlotControl as PlotControl


# open admit in the current directory
a = admit.Admit()                    

if a.new:
    m1 = "Cannot continue, there is no ADMIT project here. "
    m2 = "You need to run this from within the .admit directory"
    raise Exception,m1+m2

# test
#print "OBJECT:", a.summaryData['object']

# somehow plotmode is INTERACTIVE at this stage, that's a bug, but pick which ever you want for
# the re-run
a.plotparams(PlotControl.BATCH,PlotControl.PNG)
#a.plotparams(PlotControl.INTERACTIVE,PlotControl.PNG)

# Below here, change relevant parameters of the tasks , to make them stale and recompute anything below that
# If you run admit1.py on the .admit directory, it will spit our the mostly cut-and-pastable setkey's
# for your flow. You will also get it if you run this admit0.py script inside of the .admit directory.



lid = 6

### Task 6 (4): LineID_AT 
# a[lid].setkey('minchan', 5 )
# a[lid].setkey('alias', '' )
# a[lid].setkey('maxgap', 3 )
# a[lid].setkey('segment', ADMIT )
# a[lid].setkey('smooth', ('savgol', {'window_size': 7, 'order': 3, 'deriv': 0}) )
# a[lid].setkey('method', {'PeakFinder': {'min_width': 5, 'thresh': 0.0, 'min_sep': 5}} )
# a[lid].setkey('pmin', 2.0 )
# a[lid].setkey('recombLevel', shallow )
# a[lid].setkey('mode', ONE )
# a[lid].setkey('tol', 5.0 )
# a[lid].setkey('identifyLines', True )
# a[lid].setkey('allowExotics', False )
# a[lid].setkey('vlsr', 6278.0 )
a[lid].setkey('vlsr', 6279.0 )
a[lid].setkey('vlsr', 6278.0 )

a.run()
a.write()
